<!doctype html>
<html>
<head>
    <title>New Release: Tor Browser 10.0.15 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="New Release: Tor Browser 10.0.15 | Tor Project">
    <meta property="og:description" content="Tor Browser 10.0.15 is now available from the Tor Browser download page and also from our distribution directory.">
    <meta property="og:image" content="https://blog.torproject.org/new-release-tor-browser-10015/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/new-release-tor-browser-10015/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        New Release: Tor Browser 10.0.15
      </h1>
    <p class="meta">by sysrqb | March 28, 2021</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p><b>Update: 9 April 2021</b>: Android Tor Browser 10.0.15 is now available.</p>
<p>Tor Browser 10.0.15 is now available from the <a href="https://www.torproject.org/download/">Tor Browser download page</a> and also from our <a href="https://www.torproject.org/dist/torbrowser/10.0.15/">distribution directory</a>.</p>
<p>This version updates Openssl to 1.1.1k. In addition, Tor Browser 10.0.15 includes a bugfix for when Javascript is disabled on websites.</p>
<p><b>Relay operators who use the Windows Expert Bundle are strongly encouraged to upgrade their relay.</b></p>
<p><b>Note</b>: Tor Browser will <b>stop</b> supporting version 2 onion services in June (<b>two</b> months from now). Please see the previously published <a href="https://blog.torproject.org/v2-deprecation-timeline">deprecation timeline</a>. Migrate your services and update your bookmarks to version 3 onion services as soon as possible.</p>
<p>The full changelog since <a href="https://gitweb.torproject.org/builders/tor-browser-build.git/plain/projects/tor-browser/Bundle-Data/Docs/ChangeLog.txt?h=maint-10.0-desktop">Desktop</a> Tor Browser 10.0.14 and <a href="https://gitweb.torproject.org/builders/tor-browser-build.git/plain/projects/tor-browser/Bundle-Data/Docs/ChangeLog.txt?h=maint-10.0-android">Android</a> Tor Browser 10.0.12 is:</p>
<ul>
<li>Windows + OS X + Linux + Android
<ul>
<li>Update Openssl to 1.1.1k</li>
<li><a href="https://bugs.torproject.org/tpo/applications/torbutton/40030">Bug 40030</a>: Add 'noscript' capability to NoScript</li>
</ul>
</li>
<li>Android
<ul>
<li>Update Fenix to 87.0.0</li>
<li>Update NoScript to 11.2.4</li>
<li>Update Tor to 0.4.5.7</li>
<li>Translations update</li>
<li><a href="https://bugs.torproject.org/tpo/applications/android-components/40045">Bug 40045</a>: Add External App Prompt for Sharing Images</li>
<li><a href="https://bugs.torproject.org/tpo/applications/android-components/40047">Bug 40047</a>: Rebase android-components patches for Fenix 87.0.0</li>
<li><a href="https://bugs.torproject.org/tpo/applications/fenix/40151">Bug 40151</a>: Remove survey banner on TBA-stable</li>
<li><a href="https://bugs.torproject.org/tpo/applications/fenix/40153">Bug 40153</a>: Rebase Fenix patches to Fenix 87.0.0</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser/40365">Bug 40365</a>: Rebase 10.5 patches on 87.0</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser/40383">Bug 40383</a>: Disable dom.enable_event_timing</li>
</ul>
</li>
<li>Build System
<ul>
<li>Android
<ul>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser-build/40162">Bug 40162</a>: Build Fenix instrumented tests apk</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser-build/40172">Bug 40172</a>: Move Gradle compilers out of android-toolchain to own gradle project</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser-build/40241">Bug 40241</a>: Update components for mozilla87-based Fenix</li>
</ul>
</li>
</ul>
</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-291439"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291439" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 27, 2021</p>
    </div>
    <a href="#comment-291439">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291439" class="permalink" rel="bookmark">DuckDuckGo works again on…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>DuckDuckGo works again on Safest security level!  \o/  Thank you!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291457"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291457" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 28, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291439" class="permalink" rel="bookmark">DuckDuckGo works again on…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291457">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291457" class="permalink" rel="bookmark">Working again for me too! …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Working again for me too!  Thank you thank you Tor people!</p>
<p>I do not really search much but when I do I am doing research and it is important to be able to click on search page links with the highest security level, because when researching obscure topics you are often directed to other than well-known sites.   For that matter, even major media sites have been found at times to be unwittingly serving malware.</p>
<p>Request: when Tor Project gets the "anonymously report an issue" tool ready, PLEASE explain how to use it in a post in this blog.  Please note that requiring users to have an email account, chat account, etc. will exclude some users.  OTH, Tails Project uses whisperback which is not perfect but does not require anything not already provided in a standard Tails.  In the same way, any "secret" tokens or whatever should be provided with the latest TBB tar ball.  It would be useful to be able to report both observations about strange behavior of the Tor network as well as documenting bugs.   Alternatively, it would be fabulous if TP followed the Riseup example and had a Tor network health barometer on the home page, so that users can be alerted (and know they should be patient) if TP thinks the network is currently under attack.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291591"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291591" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 16, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291457" class="permalink" rel="bookmark">Working again for me too! …</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291591">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291591" class="permalink" rel="bookmark">&gt; major media sites have…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; major media sites have been found at times to be unwittingly serving malware.</p>
<p>My virus scanner once encountered state-sponsored malware on the website of a major media corporation based in that same nation-state. Makes you wonder about the ties between money, politics, law, rights, and class.</p>
<p>&gt; when Tor Project gets the "anonymously report an issue" tool ready, PLEASE explain how to use it in a post in this blog.</p>
<p>They did on February 09, 2021: <a href="https://blog.torproject.org/anonymous-gitlab" rel="nofollow">https://blog.torproject.org/anonymous-gitlab</a></p>
<p>&gt; Tails Project uses whisperback<br />
&gt; any "secret" tokens or whatever should be provided with the latest TBB tar ball.<br />
&gt; if TP followed the Riseup example and had a Tor network health barometer on the home page, so that users can be alerted (and know they should be patient) if TP thinks the network is currently under attack.</p>
<p>Good ideas. I hope Tor Project looks into them. You can get their attention anonymously by reporting an issue. I don't see a barometer on RiseUp's home page, but here is Tor Project's Status portal: <a href="https://status.torproject.org/" rel="nofollow">https://status.torproject.org/</a><br />
And here is the Metrics portal: <a href="https://metrics.torproject.org/" rel="nofollow">https://metrics.torproject.org/</a><br />
Also recently relevant: <a href="https://blog.torproject.org/contribute-to-tor-metrics-timeline" rel="nofollow">https://blog.torproject.org/contribute-to-tor-metrics-timeline</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-291445"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291445" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 27, 2021</p>
    </div>
    <a href="#comment-291445">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291445" class="permalink" rel="bookmark">cool, been noticing the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>cool, been noticing the noscript tag acting weird</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291449"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291449" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>zt5674 (not verified)</span> said:</p>
      <p class="date-time">March 28, 2021</p>
    </div>
    <a href="#comment-291449">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291449" class="permalink" rel="bookmark">When will Snowflake bridge…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>When will Snowflake bridge get interested in the  stable release of the Tor browser?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291587"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291587" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 16, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291449" class="permalink" rel="bookmark">When will Snowflake bridge…</a> by <span>zt5674 (not verified)</span></p>
    <a href="#comment-291587">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291587" class="permalink" rel="bookmark">&quot;The current plan is later…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://blog.torproject.org/comment/291557#comment-291557" rel="nofollow">"The current plan is later this year."</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-291450"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291450" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 28, 2021</p>
    </div>
    <a href="#comment-291450">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291450" class="permalink" rel="bookmark">The images in this blog are…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The images in this blog are not always fully loaded, because of REASON=DESTROY in streams. But why?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291475"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291475" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 29, 2021</p>
    </div>
    <a href="#comment-291475">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291475" class="permalink" rel="bookmark">Is there any chance it would…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is there any chance it would be possible to ask you to keep a live link to previous versions at least for a few days after a new release, in order to allow package management solutions (e.g. chocolatey) some time to update the tor package? currently every time you release a new version, it breaks the package which still points to the older version download link (right now it's 10.0.12 for example).<br />
No need to reply, just food for thought.<br />
Thanks in advance.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291588"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291588" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 16, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291475" class="permalink" rel="bookmark">Is there any chance it would…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291588">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291588" class="permalink" rel="bookmark">&gt; keep a live link to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; keep a live link to previous versions at least for a few days after a new release, in order to allow package management solutions (e.g. chocolatey) some time to update the tor package?</p>
<p>The previous versions are on live links. Copy the URL from the <a href="https://www.torproject.org/download/" rel="nofollow">download page</a>, and go up a few directories:<br />
<a href="https://www.torproject.org/dist/torbrowser/" rel="nofollow">https://www.torproject.org/dist/torbrowser/</a></p>
<p>Or, better than that, this file -- whose name never changes -- can be parsed:<br />
<a href="https://www.torproject.org/dist/torbrowser/update_2/release/downloads.json" rel="nofollow">https://www.torproject.org/dist/torbrowser/update_2/release/downloads.j…</a><br />
It redirects to aus1.*</p>
<p>Tell chocolatey's maintainers.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-291481"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291481" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 30, 2021</p>
    </div>
    <a href="#comment-291481">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291481" class="permalink" rel="bookmark">Was there yet another java …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Was there yet another java "leak"? I read about it on the Google Play feedback section for the Android app but assumed it only affected the Android version due to how crap it is and how little care Tor Devs have for it. I'm sure plenty of hidden services exploited their lack of user protection.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291573"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291573" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">April 15, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291481" class="permalink" rel="bookmark">Was there yet another java …</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291573">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291573" class="permalink" rel="bookmark">Can you provide a reference…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can you provide a reference/link?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291590"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291590" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 16, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to sysrqb</p>
    <a href="#comment-291590">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291590" class="permalink" rel="bookmark">Just open Tor Browser&#039;s page…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Just open <a href="https://play.google.com/store/apps/details?id=org.torproject.torbrowser" rel="nofollow">Tor Browser's page in Google Play</a>, click on "<a href="https://play.google.com/store/apps/details?id=org.torproject.torbrowser&amp;showAllReviews=true" rel="nofollow">Read All Reviews</a>," and do Ctrl+F for "java".</p>
<p>Why does Tor Project neglect looking there for bug reports? You need to <strong>go and write in your app's description on its page (<a href="https://play.google.com/store/apps/details?id=org.torproject.torbrowser" rel="nofollow">Play</a>, <a href="https://guardianproject.info/fdroid/" rel="nofollow">GuardianProject</a>) to tell people to bring their bug reports to reporting channels that are monitored!</strong></p>
<ul>
<li><a href="https://play.google.com/store/apps/details?id=org.torproject.torbrowser&amp;reviewId=gp%3AAOqpTOE2yxOA7xI-SVjZ5uNdei-MCjVlFrmb_SR2AQfBDbwn3ulHoYkoMnkPBOrBlLka9-ZlHXWByWgnnyMhvxg" rel="nofollow">2021-02-21</a>: can't open "about:config" in the address bar to turn off Javascript</li>
<li><a href="https://play.google.com/store/apps/details?id=org.torproject.torbrowser&amp;reviewId=gp%3AAOqpTOEYpQ0dNtM_6UoA4a8rQMTX6QpWk00vivDjr-ef4ZzcWhkKIa9mo-zZVgTTySz1pVsEs4IUX1GWVvq-WBg" rel="nofollow">2021-02-22</a>: unable to deactivate java script</li>
<li><a href="https://play.google.com/store/apps/details?id=org.torproject.torbrowser&amp;reviewId=gp%3AAOqpTOFItShw8ZwT40j_lqfF028bd71Mzt0ThhnpzeiXTP752Nh54OR22mqhJ98lA6nPrsn-GJGm1OSZPtZX2f0" rel="nofollow">2021-03-02</a>: WHY IS [NoScript] the only addon that needs to be reset to default to block java??</li>
<li><a href="https://play.google.com/store/apps/details?id=org.torproject.torbrowser&amp;reviewId=gp%3AAOqpTOGMZ7y8utwdBJU4Yodryow0R0-_zL1QUpy5lK0FmTopzz8b9i9u0elgdvhvFw7wJNF7SRkgQWOF138Hlr4" rel="nofollow">2021-03-02</a>: I'm told that Javascript is running and I need to disable it before I can proceed.</li>
<li><a href="https://play.google.com/store/apps/details?id=org.torproject.torbrowser&amp;reviewId=gp%3AAOqpTOFekuGWmscz5W3BOv5AuHflPsvkY58E5zrlS_ZNW9D33wgNjyK2W2d3B_SdzhA_lZi7gU9jrIjdgAuUhVE" rel="nofollow">2021-03-06</a>: on safest and it still talks of JavaScript</li>
<li><a href="https://play.google.com/store/apps/details?id=org.torproject.torbrowser&amp;reviewId=gp%3AAOqpTOGWzBqBt-BERqpAmXroN_XbdArbAEQpJ890B26wsyhyOLU64zt2XxHKKwG8jasUSOqwEDoRX2m8qELZRoE" rel="nofollow">2021-03-12</a>: One day it works on sights where java script needs disabling the next day it doesn't , I wrote "about:config" in the address bar and once it took me to some settings where I could toggle jscript from true to false and then it worked ,but again it doesn't with no way of accessing the settings</li>
<li><a href="https://play.google.com/store/apps/details?id=org.torproject.torbrowser&amp;reviewId=gp%3AAOqpTOFsSDT1Lmib_ke5zQItguN1YzDZ3I_FrZUWz_nrKeT3ayUkN6x873P7_invbDhuXyA_hCvkwlH00-Dk8c8" rel="nofollow">2021-03-14</a>: Current build of the official TOR browser gives Javascript errors, states Java is running even in high security mode and "about config" is totally unresponsive. Many sites left inaccessible by this error.</li>
<li><a href="https://play.google.com/store/apps/details?id=org.torproject.torbrowser&amp;reviewId=gp%3AAOqpTOFCAOTo0X6sK5Fi0ThnDi_id0UnCzNorGL1EpSsv-9Qm9j5U2uTcenZK43k4Fsy3tITUdHVWNTEXaeJmW8" rel="nofollow">2021-03-30</a>: it says javascript needs to be disabled but the about:config method I originally used to disable javascript no longer works</li>
<li><a href="https://play.google.com/store/apps/details?id=org.torproject.torbrowser&amp;reviewId=gp%3AAOqpTOGA39tZ6EqWn4xVIV5wBWdgvuWEz4xbpjZRWsBN_s78kDQIEiU46r_DuguVoBbU-8Sox3ikmvxlP2S4I8Y" rel="nofollow">2021-03-31</a>: .onion page and they tell you to turn off Java</li>
</ul>
<p>They could be because of <a href="https://bugs.torproject.org/tpo/applications/torbutton/40030" rel="nofollow">Bug 40030</a>: Add 'noscript' capability to NoScript. But many of them are dangerously customizing about:config. A proper notice from developers could have mitigated their action.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291592"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291592" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">April 16, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291590" class="permalink" rel="bookmark">Just open Tor Browser&#039;s page…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291592">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291592" class="permalink" rel="bookmark">No, all of those comments…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>No, all of those comments are due to misunderstanding how the Safest security level works. This has no relationship to Java. Tor Browser does not disable Javascript via the internal Firefox preference. It uses NoScript to disable javascript for each page.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291598"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291598" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 17, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to sysrqb</p>
    <a href="#comment-291598">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291598" class="permalink" rel="bookmark">Are you sure they&#039;re due to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Are you sure they're due to a misunderstanding? It's plausible that a website might reach an unanticipated condition if NoScript is blocking JavaScript and, as was true at the time, NoScript is blocking the "noscript" tag.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291604"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291604" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">April 20, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291598" class="permalink" rel="bookmark">Are you sure they&#039;re due to…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291604">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291604" class="permalink" rel="bookmark">Breakage on web sites is…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Breakage on web sites is different from leaks/bypasses/etc. There are previous examples of NoScript failing at blocking javascript, but the current comments are not related to that.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291631"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291631" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 22, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to sysrqb</p>
    <a href="#comment-291631">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291631" class="permalink" rel="bookmark">You don&#039;t seem to understand…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You don't seem to understand, re-read the whole thing and focus on <em>2021-03-31: .onion page and they tell you to turn off Java</em> Someone went onto a Tor .onion site using your official Android app and the service detected that it could run java, what more proof do you need? Let me guess: Uhhh... its the fault of NoScript and we aren't them! - Uhhh... its the fault of Mozilla and we aren't them! - Uhhh... the hidden service got it wrong, siwwy survus!</p>
<p>Tor = uncaring money sponge death cult</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291634"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291634" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">April 23, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291631" class="permalink" rel="bookmark">You don&#039;t seem to understand…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291634">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291634" class="permalink" rel="bookmark">First, please be specific…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>First, please be specific about *javascript*, not *java*. They are completely different languages and their exploitation are completely different.</p>
<p>The comment from 2021-03-31 says: "Lol try to look up a .onion page and they tell you to turn off Java when the search doesn't work and they're not competent enough to add a setting built into THEIR browser. Orfox is gone yet still better than this".</p>
<p>They should disable Javascript by using the Safest security level.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291649"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291649" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 23, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291631" class="permalink" rel="bookmark">You don&#039;t seem to understand…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291649">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291649" class="permalink" rel="bookmark">&gt; You don&#039;t seem to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; You don't seem to understand<br />
I disagree. sysrqb's reply on April 20 explained it sufficiently.</p>
<p>OP asked if there was a Java "leak". There wasn't and isn't, neither for Java nor JavaScript. (Browsers run JavaScript. Java (not script) would require a plug-in that users would have to install themselves. It would activate if a website embeds Java applets which are basically never used in web design anymore.) Real leaks by JavaScript in Tor Browser happened over the years, but this isn't one of them. The messages from websites are most likely because of users being on a certain security level, or because of the recent blocking of the "noscript" HTML tag by NoScript, or because of other misconfigurations done by the users such as in about:config.</p>
<p>&gt; the service detected that it could run java<br />
Not necessarily detected <em>correctly</em>.</p>
<p>If a message was due to the "noscript" tag being blocked, then the message was probably false because that was a new feature in NoScript that websites most likely were not prepared to respond to and summarily stumbled and vomited up a result. Tor Browser in the meantime was blocking or allowing JavaScript ("script" in NoScript) according to the security level correctly as normal.</p>
<p>Mozilla was not involved. NoScript rolled it out suddenly, possibly as an automatic update. Tor Project didn't test it. Websites were handling the tags in the manner they had always expected them to be. Tor Browser kept on treating JavaScript the way users expected it would.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div></div></div></div><a id="comment-291487"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291487" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Doctor (not verified)</span> said:</p>
      <p class="date-time">March 30, 2021</p>
    </div>
    <a href="#comment-291487">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291487" class="permalink" rel="bookmark">When i enter about…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>When i enter about:networking#networkid in the url there is a value called network id. what is this value and how is it used?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291574"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291574" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">April 15, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291487" class="permalink" rel="bookmark">When i enter about…</a> by <span>Doctor (not verified)</span></p>
    <a href="#comment-291574">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291574" class="permalink" rel="bookmark">Please see: https://gitlab…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Please see: <a href="https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/33854#note_2672059" rel="nofollow">https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/338…</a> and <a href="https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/33854#note_2672062" rel="nofollow">https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/338…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291602"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291602" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 20, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to sysrqb</p>
    <a href="#comment-291602">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291602" class="permalink" rel="bookmark">we don&#039;t have to spoof it…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><blockquote><p>we don't have to spoof it right now. This might change in the future [...] but I hope we'll be able to catch that if it happens.</p></blockquote>
<p>What's the harm in spoofing it right now? Make it identical for every Tor Browser. Is the network ID used for anything more than Firefox Private Network (VPN)? Will Tor Browser ever use Firefox Private Network? If the answers are "no", then what's the harm in spoofing it now to mitigate future changes by Mozilla?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-291553"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291553" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Andy (not verified)</span> said:</p>
      <p class="date-time">April 11, 2021</p>
    </div>
    <a href="#comment-291553">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291553" class="permalink" rel="bookmark">I&#039;s no longer possible to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I's no longer possible to connect to version 2 onion services with Tor Browser 10.5a13. Wasn't the deadline supposed to be June 2021?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291575"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291575" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">April 15, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291553" class="permalink" rel="bookmark">I&#039;s no longer possible to…</a> by <span>Andy (not verified)</span></p>
    <a href="#comment-291575">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291575" class="permalink" rel="bookmark">Correct, as noted above:
…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Correct, as noted above:</p>
<p>Note: Tor Browser will stop supporting version 2 onion services in June (two months from now). Please see the previously published deprecation timeline. Migrate your services and update your bookmarks to version 3 onion services as soon as possible.</p>
<p><a href="https://blog.torproject.org/v2-deprecation-timeline" rel="nofollow">https://blog.torproject.org/v2-deprecation-timeline</a></p>
<p>Tor Browser Alpha contains an alpha version of tor version 0.4.6 where v2 onion support is already removed.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-291595"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291595" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>David Nelson (not verified)</span> said:</p>
      <p class="date-time">April 17, 2021</p>
    </div>
    <a href="#comment-291595">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291595" class="permalink" rel="bookmark">The Tor Browser is a very…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The Tor Browser is a very useful amd effective tool in assisting in finding necessary information</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
